/**
 *  Triangles
 *  Copyright (C) 2016 POSITIVE MENTAL ATTITUDE
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, version 3 of the License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#pragma once

#include <SFML/Graphics.hpp>

class Circle: public sf::Drawable
{
	public:
		Circle() = delete;
		Circle(sf::Color color, float scale);
		virtual ~Circle();
		void setTexture(sf::Texture& texture);
		void setPosition(sf::Vector2f position);
		void setPosition(float x, float y);
		void setRotation(float rotation);
		void rotate(float rotation);
		void setSize(unsigned size);
		void update(sf::Time delta);
		void show();
		
	private:
		virtual void draw(sf::RenderTarget& target, sf::RenderStates states) const;
		std::vector<sf::Sprite> _arc;
		unsigned _size;
		sf::Time _elapsedTime;
};

